package com.zcxk.dao;

import com.zcxk.entity.DayReportEntity;
import com.zcxk.entity.MonitorDataEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description 设备数据
 * @auto wangli
 * @data 2020-12-01 10:12
 */
@Mapper
public interface MonitorDataMapper {

    MonitorDataEntity getDeviceMonitorInfoByDeviceCode(@Param("deviceCode")String deviceCode);
    void batchInsertYearReport(@Param("year") Integer year, @Param("month")Integer month);
    void batchInsertMonthReport(@Param("year") Integer year, @Param("month")Integer month, @Param("day")Integer day);
    void batchInsertDayReport( @Param("dayReportEntities") List<DayReportEntity> dayReportEntities);

    List<Integer> checkReportDataExit(@Param("year") Integer year, @Param("month")Integer month, @Param("day")Integer day, @Param("hour")Integer hour, @Param("deviceIds") List<Integer> deviceIds);
}
